Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Movie
Name | ### speed()
Examples |
    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      frameRate(30);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.speed(4.0);
      myMovie.loop();
    }

    void draw() {
      if(myMovie.available()) {
        myMovie.read();
      }
      image(myMovie, 0, 0);
    }
Description | Sets the relative playback speed of the movie. The rate parameters sets the speed where 2.0 will play the movie twice as fast, 0.5 will play at half the speed, and -1 will play the movie in normal speed in reverse.
Syntax |
    mov.speed(rate)
Parameters |
mov | any variable of type Movie
rate | float: speed multiplier for movie playback
Returns | None
Usage | Web & Application

Updated on June 14, 2010 12:05:23pm EDT